> ## Documentation Index
> Fetch the complete documentation index at: https://crossmint-devin-1787949784-wallet-docs-two-concept-model.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Tokens

> Retrieve a paginated list of all supported tokens for checkout. Sorted by most recent first.



## OpenAPI

````yaml get /2024-09-26/tokens
openapi: 3.0.0
info:
  contact:
    email: support@crossmint.com
    name: Crossmint Support
    url: https://www.crossmint.com
  description: Crossmint Payments API
  title: Crossmint Payments API
  version: 1.0.0
servers:
  - description: Staging environment (testnets)
    url: https://staging.crossmint.com/api
  - description: Production environment (mainnets)
    url: https://www.crossmint.com/api
security: []
tags: []
paths:
  /2024-09-26/tokens:
    get:
      summary: Get all supported tokens
      description: >-
        Retrieve a paginated list of all supported tokens for checkout. Sorted
        by most recent first.
      operationId: TokensController-getAllTokens-5
      parameters:
        - description: API key required for authentication
          in: header
          name: X-API-KEY
          required: true
          schema:
            type: string
        - description: Comma-separated list of chains the result should only include
          example: solana,base
          in: query
          name: chains
          required: false
          schema:
            type: string
        - description: >-
            The cursor from the previous results set to get the next paginated
            result set
          in: query
          name: cursor
          required: false
          schema:
            type: string
        - description: Maximum number of tokens to return (maximum 100, default 30)
          example: '30'
          in: query
          name: limit
          required: false
          schema:
            type: string
        - description: >-
            Comma-separated list of token classes the result should only
            include. Default is memecoin,onramp
          example: memecoin,onramp
          in: query
          name: tokenClasses
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllTokensResponseDTO'
          description: List of supported tokens retrieved successfully.
        '400':
          description: Invalid query parameters.
        '403':
          description: No access to tokens
components:
  schemas:
    GetAllTokensResponseDTO:
      properties:
        data:
          items:
            description: >-
              Information regarding the token that was requested and its
              availability
            properties:
              available:
                type: boolean
              features:
                description: >-
                  The features show if the token is supported for credit card
                  payment, same chain crypto payment, and cross chain crypto
                  payment.
                properties:
                  creditCardPayment:
                    type: boolean
                required:
                  - creditCardPayment
                title: Token features
                type: object
              token:
                type: string
            required:
              - available
              - features
              - token
            title: The requested token and its availability
            type: object
          type: array
        nextCursor:
          type: string
        previousCursor:
          type: string
      required:
        - data
      title: Get all tokens response
      type: object

````